<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://biawp.ir
 * @since             1.0
 * @package           Bw_gfed
 *
 * @wordpress-plugin
 * Plugin Name:       Display gravity form entry anywhere
 * Plugin URI:        https://biawp.ir
 * Description:       display gravity from entry anywhere by simple shortcode
 * Version:           1.0.3
 * Author:            Biawp
 * Author URI:        https://biawp.ir
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       bw_gfed
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'BW_GFED_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-bw_gfed-activator.php
 */
function activate_bw_gfed() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-bw_gfed-activator.php';
	Bw_gfed_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-bw_gfed-deactivator.php
 */
function deactivate_bw_gfed() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-bw_gfed-deactivator.php';
	Bw_gfed_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_bw_gfed' );
register_deactivation_hook( __FILE__, 'deactivate_bw_gfed' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-bw_gfed.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_bw_gfed() {

	$plugin = new Bw_gfed();
	$plugin->run();

}
run_bw_gfed();
